<%@ Page Title="" Language="C#" MasterPageFile="~/Modules/Integration.Master"
    AutoEventWireup="true" CodeBehind="Quarantine.aspx.cs" Inherits="BlueDot.IFT.Services.Integration.Quarantine"   %>

<asp:Content ID="mainContent" ContentPlaceHolderID="contentHolder" runat="server">

    <table class="tableservices" cellpadding="4" cellspacing="0" width="100%">
        <tr>
            <td class="subhead">
                <div style="vertical-align: middle">
                <asp:Label ID="Label1" runat="server" Text="Department Filter:" 
                CssClass="subhead"></asp:Label></div>
            </td>            
            <td class="subhead"><asp:Literal ID="Literal1" runat="server" Text="<%$ resources:QuarantinedReason %>"/></td>
            <td class="subhead">                
                <asp:Label ID="Label2" runat="server" Text="<%$ resources:SourceType %>" CssClass="subhead"></asp:Label>
            </td>           
            <td class="subhead" width="40%"></td>
        </tr>
        <tr>
            <td class="subhead">
                <asp:TextBox ID="DepartmentFilter"
                runat="server"></asp:TextBox>
            </td>            
            <td class="subhead">
                <asp:TextBox ID="searchText" runat="server" Width="200px"></asp:TextBox>                
            </td>
            <td class="subhead">
                <asp:DropDownList ID="SourceTypeDDL" runat="server" Width="330" />
            </td>
            <td class="subhead" width="40%"></td>                        
        </tr>
        <tr>
            <td class="subhead" colspan="4">
                <asp:Button ID="Button1" runat="server" Text="<%$ resources:Refresh %>" 
                onclick="FilterButton_Click" />&nbsp;&nbsp;&nbsp;&nbsp;<asp:Literal ID="Literal2" runat="server" Text="<%$ resources:EmptyFilter %>"/>
            </td>
        </tr>
    </table>
    
    <table class="tableservices" cellpadding="4" cellspacing="0" width="100%">
        <tr>
            <td colspan="20" class="subhead" style="text-align: center">
                <span id="bulkEditLabel" visible="false" runat="server" style="color: #0000FF; text-align: center"><asp:Literal ID="Literal3" runat="server" Text="<%$ resources:BulkEdit %>"/></span>
                <span id="singleEditLabel" visible="false" runat="server" style="color: #0000FF; text-align: center"><asp:Literal ID="Literal4" runat="server" Text="<%$ resources:SingleEdit %>"/></span>
            </td>
        </tr>
        <tr>
            <td class="subhead" width="20%">
                <asp:Literal ID="Literal5" runat="server" Text="<%$ resources:TransactionsHeader %>"/>
            </td>
            <td class="subhead" width="80%">
                <asp:Literal ID="Literal6" runat="server" Text="<%$ resources:TransactionDetail %>"/>
            </td>
        </tr>
        <tr>
            <td class="subhead">
               <asp:Button ID="SelectAllButton" runat="server" Text="<%$ resources:SelectAll %>" 
                onclick="selectAllButton_Click" Visible="false"/> 
            </td>
        </tr>
        <tr>
            <td valign="top" width="20%">
                <table class="tableservices" cellspacing="0" cellpadding="2" width="100%">
                    
                    <asp:Repeater ID="transactionsRepeater" runat="server" OnItemDataBound="rptSetCheckBoxId_ItemDataBound">
                        <ItemTemplate>
                            <tr>
                            <% if (!string.IsNullOrEmpty(SourceTypeDDL.SelectedItem.Text))
                               {%>
                                <td class="text tdborder">
                                    <asp:CheckBox ID="checkBoxBulkEdit" runat="server"/>
                                </td>
                             <%} %>
                                <td class="text tdborder">
                                    <asp:Label ID="QuarantineDateItemLabel" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.CreatedDate") %>'></asp:Label>
                                </td>
                                <td class="text tdborder">
                                    <asp:Label ID="QuarantineItemLabel" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Summary") %>'></asp:Label>
                                </td>
                                <td class="text tdborder">
                                    <asp:LinkButton ID="transLink" runat="server" CausesValidation="false" OnCommand="transLink_ItemCommand"
                                        CommandArgument='<%# DataBinder.Eval(Container, "DataItem.TransactionId") %>' Text="<%$ resources:Edit %>"></asp:LinkButton>
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
            </td>
            <td valign="top" width="80%">
                <asp:DataList ID="detailsList" runat="server" RepeatColumns="3" CssClass="tableservices"
                    CellSpacing="0" CellPadding="2" Width="100%">
                    <ItemTemplate>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td class="text" width="50%">
                                    <asp:Label ID="propertyKey" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Key") %>'></asp:Label>:
                                </td>
                                <td width="50%">
                                    <asp:TextBox CssClass="tableservices" ID="propertyValue" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Value") %>'></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>                    
                </asp:DataList>
                <table cellspacing="0" cellpadding="2" width="100%">
                    <tr>
                        <td>
                            <asp:LinkButton ID="resubmitButton" runat="server" CausesValidation="false" 
                                OnClick="resubmitButton_Click" Visible="False"><asp:Literal ID="Literal7" runat="server" Text="<%$ resources:Resubmit %>"/></asp:LinkButton>&nbsp;&nbsp;<asp:LinkButton 
                                ID="deleteButton" runat="server" CausesValidation="false" 
                                OnClick="deleteButton_Click" Visible="False"><asp:Literal ID="Literal8" runat="server" Text="<%$ resources:Delete %>"/></asp:LinkButton>
                        </td>
                    </tr>
                    <tr>
                        <th class="text">
                            <asp:Literal ID="Literal9" runat="server" Text="<%$ resources:QuarantinedReason %>"/>
                                        </th>
                    </tr>
                    <tr>
                        <td class="text">
                            <asp:Label ID="quarantinedReason" runat="server"></asp:Label>
                        </td>
                    </tr>                    
                </table>
            </td>
        </tr>
    </table>
    <asp:Label ID="transactionId" runat="server" Visible="false"></asp:Label>
</asp:Content>
